/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.data.engine.api.aggregation;

/**
 * Represents the abstract definition which can be localized. This definition
 * includes name and display name key.
 */

public interface IUIInfo
{

	/**
	 * get the internal name.
	 * @return
	 */
	public String getName( );

	/**
	 * Returns the display name if the resource key of display name is
	 * available. Otherwise, return empty string.
	 * 
	 * @return the display name
	 */

	public String getDisplayName( );

}
