package org.eclipse.birt.report.engine.emitter.excel.layout;


public interface TableInfo
{
	public int getColumnCount();
	
	public int getColumnWidth(int index);
}

class DefaultTableInfo implements TableInfo
{
	private int[] columns;
	
	public DefaultTableInfo(int colcount, int width)
	{
		columns = new int[colcount];		
		int per = (int) width / colcount;
		
		for(int i = 0; i < columns.length - 1; i++)
		{
			columns[i] = per;
		}
		
		columns[colcount - 1] = width - (per * (colcount - 1));		
	}
	
	public DefaultTableInfo(int[] columns)
	{
		this.columns = columns;
	}

	public int getColumnCount( )
	{
		return columns.length;
	}

	public int getColumnWidth( int index )
	{
		return columns[index];
	}	
}
